> ## Documentation Index
> Fetch the complete documentation index at: https://docs.biomni.phylo.bio/llms.txt
> Use this file to discover all available pages before exploring further.

# List tasks

> List a project's tasks, newest first.



## OpenAPI

````yaml api-reference/openapi.json GET /experimental/tasks
openapi: 3.1.0
info:
  title: Phylo API — V1
  description: Public API for Phylo, the biomedical AI agent platform.
  version: 0.1.0
servers:
  - url: https://api.phylo.bio/v1
    description: >-
      Self-serve platform. Enterprise customers should contact the Phylo team to
      get their API base URL. Learn more at https://phylo.bio/enterprise.
security: []
paths:
  /experimental/tasks:
    get:
      tags:
        - tasks
      summary: List tasks
      description: List a project's tasks, newest first.
      operationId: list_tasks_experimental_tasks_get
      parameters:
        - name: project_id
          in: query
          required: true
          schema:
            type: string
            title: Project Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Maximum objects to return.
            default: 20
            title: Limit
          description: Maximum objects to return.
        - name: before_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Before Id
        - name: after_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After Id
      responses:
        '200':
          description: Page of tasks.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskList'
              example:
                type: list
                data:
                  - id: tsk_017ilCeuDpMWTSH9Ah1syUGJ
                    type: task
                    created_at: '2026-08-12T21:21:02.815000Z'
                    status: completed
                    project_id: prj_014OwAG97UY0UfcHlLHQRnKO
                    title: BRCA1 variant workup
                    platform: api
                  - id: tsk_014ztPoW8a1jnkHm9jMZ1KML
                    type: task
                    created_at: '2026-08-12T21:02:18.900000Z'
                    status: running
                    project_id: prj_014OwAG97UY0UfcHlLHQRnKO
                    title: BRCA1 variant exploration
                    platform: api
                has_more: false
                first_id: tsk_017ilCeuDpMWTSH9Ah1syUGJ
                last_id: tsk_014ztPoW8a1jnkHm9jMZ1KML
      security:
        - bearerAuth: []
components:
  schemas:
    TaskList:
      properties:
        type:
          type: string
          const: list
          title: Type
          default: list
        data:
          items:
            $ref: '#/components/schemas/Task'
          type: array
          title: Data
        has_more:
          type: boolean
          title: Has More
          default: false
        first_id:
          anyOf:
            - type: string
            - type: 'null'
          title: First Id
        last_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Id
      type: object
      required:
        - data
      title: TaskList
    Task:
      properties:
        id:
          type: string
          title: Id
        type:
          type: string
          const: task
          title: Type
          default: task
        created_at:
          type: string
          format: date-time
          title: Created At
        status:
          type: string
          enum:
            - idle
            - running
            - completed
            - cancelled
            - failed
          title: Status
        project_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Id
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        platform:
          type: string
          enum:
            - api
            - mcp
            - web
            - desktop
            - mobile
          title: Platform
          default: api
        reviews:
          anyOf:
            - items:
                $ref: '#/components/schemas/TaskScientificReview'
              type: array
            - type: 'null'
          title: Reviews
      type: object
      required:
        - id
        - created_at
        - status
      title: Task
    TaskScientificReview:
      properties:
        type:
          type: string
          const: scientific_review
          title: Type
          default: scientific_review
        status:
          type: string
          enum:
            - running
            - done
            - failed
          title: Status
        created_at:
          type: string
          format: date-time
          title: Created At
        message_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Message Id
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
      type: object
      required:
        - status
        - created_at
      title: TaskScientificReview
      description: A scientific review recorded on a task.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Requires an API key. See the Authentication guide.

````